package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class Listing25_30 extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(300, 80);
            GraphicsContext gc = cv.getGraphicsContext2D();
            //-
            gc.setStroke(Color.RED);
            gc.setFill(Color.BLUE);
            //-
            gc.beginPath();
            gc.rect(20,20,50,30);
            gc.stroke();
            //-
            gc.beginPath();
            gc.rect(80, 20, 50, 30);
            gc.rect(140,20, 50, 30);
            gc.fill();
            //-
            gc.beginPath();
            gc.rect(200,20, 50, 30);
            gc.stroke();
            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Metoda beginPath");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
